## 云书架逻辑接口



### 1. 加入书架

- 请求URL：/api/user/bookshelf/add
- 请求方式：GET
- 参数：

|  参数  |  类型  |  说明  |
| :----: | :----: | :----: |
| bookId | String | 书籍id |

- 返回数据：

``` json
{
	"data": {
		"book": {
			"bookId": "4208029",
			"bookName": "总裁心尖宠：制服鬼马影后",
			"author": "爆炒土豆",
			"chapterTotalNum": 25,
			"bookCoverUrl": "http://cdn.ibreader.com/group1/M01/16/C4/rBH_v18yEjSAaZ6yAAEg2t7Sets972.jpg",
			"classify": "东方玄幻",
			"serial": true
		}
	},
	"code": 100,
	"msg": "操作成功"
}
```



### 2. 删除书籍

- 请求URL：/api/user/bookshelf/remove
- 请求方式：GET
- 参数：

|  参数   |  类型  |            说明             |
| :-----: | :----: | :-------------------------: |
| bookIds | String | id集合，用逗号分隔（1，2，3 |

- 返回数据：

``` json
{
	"data": {
		
	},
	"code": 100,
	"msg": "操作成功"
}
```



### 3. 更新书籍进度

- 请求URL：/api/user/bookshelf/update
- 请求方式：POST
- 参数：

| 参数  |     类型     |         说明         |
| :---: | :----------: | :------------------: |
| books | Request Body | 同步书籍对象（json） |

``` java
//Request Body
public static class SyncBooks implements Serializable {
        private String bookId;
        private String chapterNumber;
        private long operationTime;

}
```

- 返回数据：

``` json
{
	"data": {
		
	},
	"code": 100,
	"msg": "操作成功"
}
```


### 4. 同步最新云端书架数据

- 请求URL：/api/user/bookshelf/sync
- 请求方式：GET
- 参数：请求后需要服务端将当次同步时间记录到每个书籍对象中，每次请求只返回同步时间大于lastSyncTime的书籍，lastSyncTime不传或传0时返回全量数据

|     参数     | 类型 |        说明        |
| :----------: | :--: | :----------------: |
| lastSyncTime | Long | 客户端最后同步时间 |

- 返回数据：

``` json
{
	"data": {
		"books":[ {
			"bookId": "4208029",
			"bookName": "总裁心尖宠：制服鬼马影后",
			"author": "爆炒土豆",
			"chapterTotalNum": 25,
			"bookCoverUrl": "http://cdn.ibreader.com/group1/M01/16/C4/rBH_v18yEjSAaZ6yAAEg2t7Sets972.jpg",
			"classify": "东方玄幻",
			"serial": true,
			"chapterNumber": 2,
			"operationTime": 1708671165600
		}, {
			"bookId": "4208029",
			"bookName": "总裁心尖宠：制服鬼马影后",
			"author": "爆炒土豆",
			"chapterTotalNum": 25,
			"bookCoverUrl": "http://cdn.ibreader.com/group1/M01/16/C4/rBH_v18yEjSAaZ6yAAEg2t7Sets972.jpg",
			"classify": "东方玄幻",
			"serial": true,
			"chapterNumber": 2,
			"operationTime": 1708671165600
		}]
	},
	"code": 100,
	"msg": "操作成功"
}
```

